### Constructor

# Spelling TextBufferAdapter new

#### Declaration [src]

    SpellingTextBufferAdapter*
    spelling_text_buffer_adapter_new (
      GtkSourceBuffer* buffer,
      SpellingChecker* checker
    )

#### Description

No description available.

#### Parameters

`buffer`

  Type: `GtkSourceBuffer`

  No description available.

  The data is owned by the caller of the function.

`checker`

  Type: `SpellingChecker`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `SpellingTextBufferAdapter`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.